%{?nodejs_find_provides_and_requires}

%global packagename shasum
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 1.0.2
Release: 1%{?dist}.3
Summary: Single function that return the sha1sum.
License: MIT
URL: https://github.com/dominictarr/shasum
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(json-stable-stringify)
BuildRequires: npm(sha.js) >= 2.4.4
BuildRequires: npm(sha.js) < 2.5.0

%description
Single function that return the sha1sum.
Installing this is just a little bit quicker than reading
the crypto documentation.


%prep
%setup -q -n package
%nodejs_fixdep json-stable-stringify '*'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/node test/index.js && %{_bindir}/node test/index.js browser
%endif


%files
%license LICENSE
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Sat Sep 24 2016 Oleg Girko <ol@infoserver.lv> - 1.0.2-1
- Initial package.
